
from PyML import *
# read the GC-content data
data = VectorDataSet('C_elegans_acc_gc.csv', labelsColumn = 0)
# standardize the data
standardizer = preproc.Standardizer()
standardizer.train(data)

# instantiate an SVM
s = SVM(C=1)

# perform five-fold cross-validation using a linear kernel
results = s.stratifiedCV(data, numFolds=5)

# use a degree-2 polynomial
data.attachKernel('poly', degree = 2)
results = s.stratifiedCV(data, numFolds=5)

# use a Gaussian kernel
data.attachKernel('gaussian', gamma = 0.1)
results = s.stratifiedCV(data, numFolds=5)

import pyml_plos
# mixed spectrum data with kmers of length 1-3
data = pyml_plos.gen_spectrum_data('C_elegans_acc.fasta', 1, 3)
s = SVM(C=1)
results = s.stratifiedCV(data, numFolds=5)

# weighted degree kernel
data = SequenceData('C_elegans_acc.fasta', mink = 1, maxk = 3, maxShift=0, headerHandler = pyml_plos.process_header)
data.attachKernel('cosine')
s = SVM(C=1)
results = s.stratifiedCV(data, numFolds=5)

